﻿Type=Service
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Private flags As Bitmap
	Private Const flagsPerRow = 10, flagsPerColumn = 24 As Int
End Sub

Sub Service_Create
	flags = LoadBitmap(File.DirAssets, "flags.jpg")
End Sub

Public Sub GetFlag(Row As Int, Col As Int) As Bitmap
	Dim b As Bitmap
	b.InitializeMutable(flags.Width / flagsPerRow, flags.Height / flagsPerColumn)
	Dim c As Canvas
	c.Initialize2(b)
	Dim r As Rect
	r.Initialize(b.Width * Row, b.Height * Col, b.Width * (Row + 1), b.Height * (Col + 1))
	Dim dest As Rect
	dest.Initialize(0, 0, b.Width, b.Height)
	c.DrawBitmap(flags, r, dest)
	Return b
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
